FreeBSD : mplayer -- multiple vulnerabilities (85d76f02-5380-11d9-a9e7-0001020eed82)

This script is Copyright (C) 2005-2013 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing one or more security-related
updates.

Description :

iDEFENSE and the MPlayer Team have found multiple vulnerabilities in
MPlayer :

- Potential heap overflow in Real RTSP streaming code

- Potential stack overflow in MMST streaming code

- Multiple buffer overflows in BMP demuxer

- Potential heap overflow in pnm streaming code

- Potential buffer overflow in mp3lib

These vulnerabilities could allow a remote attacker to execute
arbitrary code as the user running MPlayer. The problem in the pnm
streaming code also affects xine.

See also :

http://www.nessus.org/u?f0dfa981
http://marc.info/?l=bugtraq&m=110322526210300
http://www.nessus.org/u?4c7dac8f
http://marc.info/?l=bugtraq&m=110322829807443
http://www.nessus.org/u?12ef3169
http://marc.info/?l=bugtraq&m=110323022605345
http://www.nessus.org/u?cdbcba84
http://www.nessus.org/u?93d1630b
http://www.nessus.org/u?c3fe0c80

Solution :

Update the affected packages.

Risk factor :

Critical / CVSS Base Score : 10.0
(CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C)

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 19013 (freebsd_pkg_85d76f02538011d9a9e70001020eed82.nasl)

Bugtraq ID:

CVE ID: CVE-2004-1187
CVE-2004-1188

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now